# RSL_sweep_to_cart

### Synopsis

#include "rsl.h"
unsigned char *RSL_sweep_to_cart(Sweep *s, int xdim, int ydim, float range);

###

Description

Given a Sweep pointer, s, return a character image of size xdim by ydim representing the mapping of polar to cartesean with the radar at the center of the image. The radial range, range, is mapped to the edge of the image. The space for the returned images is obtained via malloc. It is assumed that range is in units of gate size.

### Return value

Upon successful completion a valid pointer to unsigned char is returned, otherwise NULL.

### See also

RSL_sweep_to_gif, RSL_sweep_to_pict, RSL_sweep_to_pgm, RSL_sweep_to_ppm

Author: John H. Merritt